org.jboss.resteasy.api.validation

## Enum ConstraintType.Type

- java.lang.Object
- - java.lang.Enum<ConstraintType.Type>
  - - org.jboss.resteasy.api.validation.ConstraintType.Type

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintType.Type>
  Enclosing class:
    ConstraintType

      public static enum ConstraintType.Type
      extends Enum<ConstraintType.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS`
    `FIELD`
    `PARAMETER`
    `PROPERTY`
    `RETURN_VALUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintType.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintType.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASS

          public static final ConstraintType.Type CLASS

    - #### FIELD

          public static final ConstraintType.Type FIELD

    - #### PROPERTY

          public static final ConstraintType.Type PROPERTY

    - #### PARAMETER

          public static final ConstraintType.Type PARAMETER

    - #### RETURN_VALUE

          public static final ConstraintType.Type RETURN_VALUE

  - ### Method Detail

    - #### values

          public static ConstraintType.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintType.Type c : ConstraintType.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintType.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.